@import 'src/variables';

.actor {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 170px;
  padding-bottom: 8px;
  border-radius: 8px;
  background: $primaryGreyColor;
  color: $thirdGreyColor;
  .actor_img {
    width: 170px;
    height: 240px;
    cursor: pointer;
  }
  .actor_title_container {
    height: 40px;
    padding: 4px;
    text-align: center;
    word-wrap: break-word;
    a {
      display: block;
      height: 40px;
      color: inherit;
      overflow: hidden;
      .actor_title {
        font-size: 14px;
        border-bottom: 1px solid transparent;
        transition: border-bottom 0.5s ease-in-out;
        cursor: pointer;
        &:hover {
          border-bottom: 1px solid $thirdGreyColor;
        }
      }
    }
  }
  .actor_actions {
    width: 100%;
    display: flex;
    justify-content: center;
    padding-top: 8px;
    border-top: 2px solid $primaryBgColor;
    .actor_heart_icon {
      cursor: pointer;
    }
  }

  .liked {
    color: $primaryRedColor;
  }
}
